summaryrefslogtreecommitdiffstats
path: root/dvm/2051
diff options
context:
space:
mode:
Diffstat (limited to 'dvm/2051')
-rwxr-xr-xdvm/2051/testcase33
1 files changed, 33 insertions, 0 deletions
diff --git a/dvm/2051/testcase b/dvm/2051/testcase
new file mode 100755
index 0000000..f1071da
--- /dev/null
+++ b/dvm/2051/testcase
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+source $cwd/regression_helpers
+
+VOLNAME="vol$global_bug_id";
+
+$GLUSTERFSDIR/gluster volume create $VOLNAME $(hostname):$EXPORT_DIR/$global_bug_id/export1 $(hostname):$EXPORT_DIR/$global_bug_id/export2 2>/dev/null 1>/dev/null;
+
+$GLUSTERFSDIR/gluster volume start $VOLNAME 2>/dev/null 1>/dev/null;
+if [ $? -ne 0 ]; then
+ exit 22;
+fi
+
+mount_nfs $VOLNAME 2>/dev/null 1>/dev/null;
+if [ $? -ne 0 ]; then
+ exit 22;
+fi
+
+sleep 10;
+
+df -h | grep $VOLNAME 2>/dev/null 1>/dev/null;
+if [ $? -ne 0 ]; then
+ exit 22;
+fi
+
+cp -r /etc/ $NFS_MOUNT;
+
+find $NFS_MOUNT | grep "find: File system loop detected" 2>/dev/null 1>/dev/null;
+if [ $? -eq 0 ]; then
+ exit 22;
+else
+ exit 0;
+fi